import store from '@/store'

export default class BeforeEnter {
  constructor(opt) {
    this.opt = opt || {}
  }

  async update(to, from, next) {
    const isLogin = store.state.isLogin || (await store.dispatch('checkLogin'))
    if (to.meta.requiredLogin) {
      if (!isLogin) {
        window.location.href = `${webConf.others.loginUrl}?rd=${encodeURIComponent(window.location.origin)}`
        next()
      }
    }
    next()
  }
}
